# Function UseFunction

- UseFunction<Args extends any[], Result>(
  fnc: UseFunctionType<Args, Result>,
  name: string,
  config?: UseFunctionConfig<any, any[], any, any[]>,
  ): (target: any, propertyKey: string) => void

  #### Type Parameters

  - Args extends any[]
  - Result

  #### Parameters

  - fnc: UseFunctionType<Args, Result>
  - name: string
  - `Optional` config: UseFunctionConfig<any, any[], any, any[]>

  #### Returns (target: any, propertyKey: string) => void

  - Defined in packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts:26